CEVE(1)

NAME
ceve - parse package metadata

SYNOPSIS

ceve [-h] [-v] [-e pkgspec] [-c pkgspec] [-r pkgspec] [--depth=n] [-T format] [-G graph type] [-o filename] input-spec

DESCRIPTION
Ceve is a generalized metadata parser. It reads package specifications, extracts package metadata from them, performs some manipulations, and outputs the package metadata in one of several formats.

OPTIONS

-h  This option displays the help message. Can also be specified as --help.

-v  Be verbose. This option can be repeated for more verbosity.

-e pkgspec
    (Option Not Implemented Yet) Extract the transitive closure of packages connected (by conflict or dependency) to any of the packages that satisfy pkgspec. Such a package specification is a list of packages (separated by a semicolon), where each package is specified as follows: (name,version). This option can also be specified as --extract=pkgspec.

-c pkgspec
    Similar to the -c option, but only uses the dependency relation to make the transitive closure. This option can also be specified as --cone=pkgspec.

-r pkgspec
    Similar to the -e and -c options, but uses the reverse dependency relation to make the transitive closure. This option can also be specified as --rcone=pkgspec.

--depth n
    In combination with the -e, -c or -r options, this specifies the maximum depth for the transitive closure.

-T format
    Specifies the output format to use. Possible values are dot for a graph output in Dot/GraphViz format, cnf for an output in CNF format, dimacs for an output in the DIMACS format for CNF formulae, and cudf for a pretty-print output in an RFC 822-like format.

-t input-spec
    Select the input type.

--request installation-request
    Specifies an installation request of the form "install: vpkglist" or "remove: vpkglist" or "upgrade: vpkglist" where vpkglist is a list of (real) packages possibly associated with a constraint. Ex.: bash (< 2.0), exim (= 3.1-debian1). This option can be repeated to specify install, remove and upgrade actions.

    Examples:

--request "install: bash (< 2.0), exim (= 3.1-debian1)" --request "upgrade: apt-cudf"
-G graph type
    Specifies the graph type format to compute. This option must be used together with the option -T dot|gml|grml. Possible values are:

.   syn for the syntactic graph where disjunctions nodes and conflicts are explicitely added to the graph.

.   pkg for the package graph where all dependencies are threated uniformely and conflicts are not added to the graph.

.   strong the strong dependency graph.

.   conj the conjunctive graph where only conjunctive dependencies are considered.

-o filename
    Instead of stdout, send output to the file filename.

input-spec
    This is a URL specifying both the input format and the file to get the input from. Possible schemes are:

.   cudf for cudf files

.   deb for Debian package files (possibly compressed with gzip(1) or bzip2(1), depending on compile-time options for dose3)

.   debstdin for Debian package files read from standard input

.   edsp for apt-get External Dependency Solver Protocol

.   eclipse for Eclipse (p2) package files

.   hdlist for RPM hdlists

.   synth for urpmi synthesis hdlists

    Some examples of URLs:

.   deb://Packages.gz (the Debian file packages.gz in the current directory)

.   cudf:///home/examples/cudf/test.cudf (the CUDF file /home/examples/cudf/test.cudf)